import axios from 'axios'
import { PageNumberPaginationParameters, unique } from '.'
import { PageNumberPagination, UUID } from '@/types'
import { Repository } from '@/types/worker'

// List repositories imported on Arkindex
export const listRepositories = unique(async (params: PageNumberPaginationParameters): Promise<PageNumberPagination<Repository>> => (await axios.get('/process/repos/', { params })).data)

// Retrieve a repository
export const retrieveRepository = unique(async (id: UUID): Promise<Repository> => (await axios.get(`/process/repos/${id}/`)).data)

// Delete a repository
export const deleteRepository = unique((id: UUID) => axios.delete(`/process/repos/${id}/`))
