import {
  CorpusLight,
  UUID,
  WorkerRunSummary
} from '@/types'

export interface EntityMetas {
  [property_name: string]: string
}

export interface EntityType {
  id: UUID,
  name: string,
  color: string
}

export interface EntityLight {
  id: UUID
  name: string
  type: EntityType
  metas: EntityMetas | null
  validated: boolean
  worker_version_id: UUID | null
  worker_run: WorkerRunSummary | null
}

export interface Entity extends EntityLight {
  corpus: CorpusLight
}

export interface TranscriptionEntity {
  offset: number
  length: number
  entity: EntityLight
  worker_run: WorkerRunSummary | null
  worker_version_id: UUID | null
  confidence: number
}